Issue 34373

Summary: Toolbar does not dock properly when window content is not drawn
Product: General Reporter: ed2 <hand_of_fate2000>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, kpalagin, rb.henschel
Version: 680m47Keywords: oooqa
Target Milestone: AOO Later   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description ed2 2004-09-19 23:00:45 UTC
When the iwndow manager is instructed not to draw the window contents while
moving windows, toolbars do not automatically dock when dragged onto the toolbar
area, but stay floating over the toolbar area.

The same thing happens with older OOo versions when Ctrl+Drag is used. I have
tested it, and it is definitely linked to drawing window contents and nothing else.
Comment 1 stefan.baltzer 2004-10-19 17:46:14 UTC
SBA: Reassigned to ES.
Comment 2 eric.savary 2004-10-23 22:11:52 UTC
ES->TM: it looks like a framework issue
Comment 3 thorsten.martens 2004-10-27 10:02:33 UTC
Not reproducible when using a more recent 680m57 on WinXP.
Comment 4 thorsten.martens 2004-10-27 10:02:50 UTC
closed
Comment 5 ed2 2004-11-02 18:56:50 UTC
I have tested this again on OOo 1.9.58 on Linux with KDE, and OOo 1.9.56 on
Windows XP home, and in both cases, the problem has disappeared for floating
toolbars, but only because they fail to respect the draw contents settings at all.

The problem is, however, still present as described for the Navigator, Stylist
and Gallery panels. I can reproduce this both on Windows XP and Linux. Can
anyone else reproduce this? If so then it looks like this issue will have to be
reopened.
Comment 6 ed2 2004-11-19 13:46:58 UTC
This problem is still present as I described for the Navigator, Stylist and
Gallery panels in OOo 1.9.62 on all operating systems I have tested it on
(Windows XP, SuSE 9 professional, Mandrake 10.1 community)
Comment 7 eric.savary 2004-12-10 11:19:44 UTC
ES: Iconfitm this in a 680m65_8850 on SuSE 9.1.
Comment 8 mci 2004-12-22 12:14:30 UTC
Hi ed2,

thanks for using and supporting OpenOffice.org...

I tried this on SuSE Linux and KDE.
In the KDE Kontrolcenter I switched the "drawing window content while dragging" off.
I started OOo1.9m67 and dragged the toolbars around and let them dock.
All worked as expected.

Please try again using a newer version of OOo (m65 or newer) and send a new
comment if your problem occurs again.
Comment 9 ed2 2004-12-22 20:35:49 UTC
In OOo 1.9.65, it is still impossible to dock the Navigator, Stylist or Gallery
windows in Writer by dragging when the window contents are not drawn, as I
described for earlier versions The same applies to the Task Pane and Slides
window in Impress.

The situation has not changed in 1.9.65 from what I described earlier.
Comment 10 mci 2005-02-25 13:28:02 UTC
Hi ed2,

this is planned for the next major release.
This needs a lot of recoding very deep inside the Office and cannot be done
until OOo2.0...

reassigned to cj

mci -> cj:

Hi cj, this is the issue we taled about this morning...
Comment 11 ace_dent 2006-01-26 16:06:31 UTC
Confirmed using OOo Dev 680m152 (Writer), using WinXP SP2 on PC.

This relates to Issue 48959 which (for reasons not clear) was closed.
The bug: depending on how you instruct MS Windows to re-draw on dragging a
window, will alter the docking behaviour in OOo of the Stylist, Navigator and
Gallery. Other toolbars are not affected (since they aren't actually windows).
To reproduce:
- Right click on 'My Computer'>'Properties' to bring up System Properties window.
- Select 'Advanced' Tab, and under Performance>'Settings'.
- Within the 'Visual effects' tab (should be displayed), untick 'Show windows
contents while dragging'.
- Open new OOo Writer document.
- It is no longer possible to dock the Stylist, Navigator or Gallery simple by
dragging the window to far side of document(right, top, etc.)

Work around:
- In an empty area of the window (eg. Stylist), double click while holding down
'Ctrl' key to dock.

The title Summary of this issue has been corrected slightly.

Regards,
Andrew
Comment 12 ace_dent 2006-01-26 16:12:52 UTC
*** Issue 54052 has been marked as a duplicate of this issue. ***
Comment 13 ed2 2006-01-26 18:01:40 UTC
Just to add that, while ace_dent's comments may suggest that it it, this is not
exclusively a Windows issue.
Comment 14 kpalagin 2007-03-11 17:13:48 UTC
*** Issue 75101 has been marked as a duplicate of this issue. ***
Comment 15 kpalagin 2007-03-20 02:28:12 UTC
*** Issue 58742 has been marked as a duplicate of this issue. ***
Comment 16 kpalagin 2007-03-20 02:36:12 UTC
*** Issue 57806 has been marked as a duplicate of this issue. ***
Comment 17 kpalagin 2007-03-20 02:50:34 UTC
*** Issue 48959 has been marked as a duplicate of this issue. ***
Comment 18 kpalagin 2007-03-20 02:55:12 UTC
Also issue http://www.openoffice.org/issues/show_bug.cgi?id=11934 seems to be 
related.
Comment 19 kpalagin 2007-03-20 03:03:57 UTC
Issue http://www.openoffice.org/issues/show_bug.cgi?id=67137 also talks about 
this problem.
Comment 20 kpalagin 2007-03-20 03:08:30 UTC
Judging by number of duplicates this seems to be significant usability problem.
Any chance of targeting for 2.3 or 2.x?
Comment 21 ace_dent 2007-03-20 13:14:10 UTC
Just to note...
The help in Impress (2.0.4) for 'undocking windows' is very useful and includes
the Ctrl+ double click work-around and states this behavior clearly: " Docking
toolbars and windows by drag-and-drop depends on your system's window manager
settings. You must enable your system to show the full window contents when you
move a window, instead of showing just the outer frame. "
So at least Users that read the help (!) shouldn't be too surprised by the
current functionality.
Comment 22 kpalagin 2007-10-02 11:30:37 UTC
Christian,
please consider this issue for 2.4.
Thanks a lot for your attention.
WBR,
KP.
Comment 23 Regina Henschel 2008-09-14 22:20:26 UTC
*** Issue 93887 has been marked as a duplicate of this issue. ***
Comment 24 Regina Henschel 2008-09-14 22:22:29 UTC
Please notice also the older issue 23953.
Comment 25 fkbreitl 2008-09-14 22:41:45 UTC
It is poor gui design if the user has to read the help to learn how to dock a panel.
I propose to add a "Dock pane" menu to each pane as it already exists in the
"task pane" to avoid any further irritation of users.
Otherwise this issue will be come up again and again.
See e.g. issue 23953 and issue 93886.
Comment 26 cbrunet 2008-12-09 16:42:27 UTC
*** Issue 96808 has been marked as a duplicate of this issue. ***